Bug 1436242 - Getting error "no implicit conversion of Fixnum into String" while performing manifest refresh
Summary: Getting error "no implicit conversion of Fixnum into String" while performing...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management
Version: 6.2.8
Hardware: x86_64
OS: Linux
urgent
urgent vote
Target Milestone: Unspecified
Assignee: Chris Roberts
QA Contact: Bruno Rocha
URL: http://projects.theforeman.org/issues...
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-27 13:39 UTC by Ganesh Payelkar
Modified: 2019-06-13 21:25 UTC (History)
9 users (show)

(edit)
Clone Of:
: 1446722 (view as bug list)
(edit)
Last Closed: 2017-06-20 17:23:42 UTC


Attachments (Terms of Use)
hotfix (70.00 KB, application/x-tar)
2017-03-27 20:36 UTC, Chris Roberts
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:1553 normal SHIPPED_LIVE Satellite 6.2.10 Async Bug Release 2017-06-20 21:19:07 UTC
Foreman Issue Tracker 19042 None None None 2017-03-28 19:07 UTC

Comment 2 Chris Roberts 2017-03-27 20:36 UTC
Created attachment 1266754 [details]
hotfix

Satellite hotfix tool
---------------------

Usage (tarball extraction):

  tar -xzf satellite-hotfix-1436242.tar.gz
  cd satellite-hotfix

Usage (dry run):

  ./satellite-hotfix -n 1436242

Usage:

  ./satellite-hotfix 1436242

Revert a hotfix:

  ./satellite-hotfix -r 1436242

List all available hotfixes:

  ./satellite-hotfix

The numbers are real Red Hat Bugzilla numbers. All backup and reject files are
save in backups/ sub-directory. Please keep the tarball for possible reverting
of the change in the future. If patching fails, revert immediately and report
the output. After each Satellite update, this hotfix process must be repeated
if the updated does not include the bugfix yet, search in errata notes for
bugzilla numbers to confirm. Hotfixes are distributed in tarballs with date
timestamps, new tarball obsoletes the old one and includes all previous
patches.

If system-wide Ruby is not installed for some reason, use Satellite Foreman
Ruby software collection:

  scl enable rh-ruby22 -- ./satellite-hotfix -h

To find out Ruby versions available do:

  ls /opt/*/*ruby* -d

Comment 3 Chris Roberts 2017-03-27 20:36:46 UTC
Also this was tested on 6.2.8 so please make sure you are on that version.

Comment 5 Chris Roberts 2017-03-28 19:07:11 UTC
Created PR:

https://github.com/Katello/katello/pull/6705

Comment 6 Bruno Rocha 2017-05-31 15:32:25 UTC
verified in:  satellite-6.2.10-2.0.el7sat.noarch

Manifest refreshed successfully both in UI and Hammer


[root@cloud-qe-09 foreman]# hammer -u admin -p changeme subscription refresh-manifest --organization-id 1
[........................................................................................................................................................................] [100%]

Comment 8 errata-xmlrpc 2017-06-20 17:23:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:1553


Note You need to log in before you can comment on or make changes to this bug.